Liên kết
GET https://0o0.online/api/links/
curl --request GET \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Các Parameters | chi tiết | Mô tả |
|---|---|---|
| search | tùy chọn Ống | Tìm kiếm string |
| search_by | tùy chọn Ống | Các trường bạn đang tìm kiếm bằng. giá trị được cho phép là: url, location_url. |
| is_enabled | tùy chọn Boolean | |
| project_id | tùy chọn toàn bộ | |
| type | tùy chọn Ống |
biolink, link, file, vcard, event, static |
| datetime_field | tùy chọn Ống | Các giá trị được cho phép: datetime, last_datetime |
| datetime_start | tùy chọn Ống | Xác định kết quả bắt đầu từ ngày này. Y-m-d H:i:s định dạng |
| datetime_end | tùy chọn Ống | Tải lọc kết quả cho đến ngày này. Y-m-d H:i:s định dạng |
| order_by | tùy chọn Ống | Nơi nào để đặt các kết quả bằng. giá trị cho phép là: link_id, datetime, last_datetime, clicks, url. |
| order_type | tùy chọn Ống | Quy định của kết quả. giá trị cho phép là: ASC để nâng cao lệnh, và DESC Lệnh xuống. |
| page | tùy chọn toàn bộ | Số trang mà bạn muốn kết quả từ. lỗi để 1. |
| results_per_page | tùy chọn toàn bộ | Có bao nhiêu kết quả bạn muốn cho mỗi trang. giá trị được phép là: 10, 25, 50, 100, 250, 500, 1000. Sai lầm của 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:31",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/links?page=1",
"last": "https://0o0.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/links?page=1"
}
}
GET https://0o0.online/api/links/{link_id}
curl --request GET \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:31",
}
}
POST https://0o0.online/api/links
| Các Parameters | chi tiết | Mô tả |
|---|---|---|
| type | tùy chọn Ống | link |
| location_url | Bắt buộc Ống | Cái URL từ điểm đến.Có sẵn khi: is_bulk = 0 |
| location_urls | Bắt buộc Ống | Cái URL từ điểm đến.Có sẵn khi: is_bulk = 1 |
| url | tùy chọn Ống | Cái URL alias của liên kết được tạo ra. để trống cho một phát sinh ngẫu nhiên.Có sẵn khi: is_bulk = 0 |
| is_bulk | tùy chọn Boolean | |
| domain_id | tùy chọn toàn bộ | - |
| project_id | tùy chọn toàn bộ | - |
| pixels_ids | tùy chọn Array toàn bộ | - |
| email_reports | tùy chọn Array | Thông báo xử lý IDs |
| schedule | tùy chọn Boolean | - |
| start_date | tùy chọn Ống | Có sẵn khi: schedule = true |
| end_date | tùy chọn Ống | Có sẵn khi: schedule = true |
| clicks_limit | tùy chọn toàn bộ | - |
| expiration_url | tùy chọn Ống | - |
| sensitive_content | tùy chọn Boolean | - |
| http_status_code | tùy chọn toàn bộ | Các giá trị được cho phép: 301, 302, 307, 308 |
| app_linking_is_enabled | tùy chọn Boolean | - |
| cloaking_is_enabled | tùy chọn Boolean | - |
| cloaking_title | tùy chọn Ống | - |
| cloaking_meta_description | tùy chọn Ống | - |
| cloaking_custom_js | tùy chọn Ống | - |
| cloaking_favicon | tùy chọn file | - |
| cloaking_opengraph | tùy chọn file | - |
| password | tùy chọn Ống | - |
| forward_query_parameters_is_enabled | tùy chọn Boolean | - |
| seo_block | tùy chọn Boolean | - |
| utm_source | tùy chọn Ống | - |
| utm_medium | tùy chọn Ống | - |
| utm_campaign | tùy chọn Ống | - |
| targeting_type | tùy chọn Ống | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = continent_code |
| targeting_continent_code_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = continent_code |
| targeting_country_code_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = country_code |
| targeting_country_code_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = country_code |
| targeting_city_name_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = city_name |
| targeting_city_name_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = city_name |
| targeting_device_type_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = device_type |
| targeting_device_type_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = device_type |
| targeting_browser_language_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_language |
| targeting_browser_language_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_language |
| targeting_rotation_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = rotation |
| targeting_rotation_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = rotation |
| targeting_os_name_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = os_name |
| targeting_os_name_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = os_name |
| targeting_browser_name_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_name |
| targeting_browser_name_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_name |
curl --request POST \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/links/{link_id}
| Các Parameters | chi tiết | Mô tả |
|---|---|---|
| location_url | tùy chọn Ống | Cái URL từ điểm đến. |
| url | tùy chọn Ống | Cái URL alias của liên kết được tạo ra. để trống cho một phát sinh ngẫu nhiên. |
| domain_id | tùy chọn toàn bộ | - |
| project_id | tùy chọn toàn bộ | - |
| pixels_ids | tùy chọn Array toàn bộ | - |
| email_reports | tùy chọn Array | Thông báo xử lý IDs |
| schedule | tùy chọn Boolean | - |
| start_date | tùy chọn Ống | Có sẵn khi: schedule = true |
| end_date | tùy chọn Ống | Có sẵn khi: schedule = true |
| clicks_limit | tùy chọn toàn bộ | - |
| expiration_url | tùy chọn Ống | - |
| sensitive_content | tùy chọn Boolean | - |
| http_status_code | tùy chọn toàn bộ | Các giá trị được cho phép: 301, 302, 307, 308 |
| app_linking_is_enabled | tùy chọn Boolean | - |
| cloaking_is_enabled | tùy chọn Boolean | - |
| cloaking_title | tùy chọn Ống | - |
| cloaking_meta_description | tùy chọn Ống | - |
| cloaking_custom_js | tùy chọn Ống | - |
| cloaking_favicon | tùy chọn file | - |
| cloaking_opengraph | tùy chọn file | - |
| password | tùy chọn Ống | - |
| forward_query_parameters_is_enabled | tùy chọn Boolean | - |
| seo_block | tùy chọn Boolean | - |
| utm_source | tùy chọn Ống | - |
| utm_medium | tùy chọn Ống | - |
| utm_campaign | tùy chọn Ống | - |
| targeting_type | tùy chọn Ống | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = continent_code |
| targeting_continent_code_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = continent_code |
| targeting_country_code_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = country_code |
| targeting_country_code_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = country_code |
| targeting_city_name_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = city_name |
| targeting_city_name_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = city_name |
| targeting_device_type_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = device_type |
| targeting_device_type_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = device_type |
| targeting_browser_language_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_language |
| targeting_browser_language_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_language |
| targeting_rotation_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = rotation |
| targeting_rotation_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = rotation |
| targeting_os_name_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = os_name |
| targeting_os_name_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = os_name |
| targeting_browser_name_key[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_name |
| targeting_browser_name_value[index] | tùy chọn Ống | Có sẵn khi: targeting_type = browser_name |
| is_enabled | tùy chọn Boolean | - |
curl --request POST \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/links/{link_id}
curl --request DELETE \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \